
#@Trange
set xrange [minTemp:maxTemp]
#@hrange
set yrange [0:maxHours]
set grid
set xlabel "inside temperature"
set ylabel "hours"
set style fill solid border -1

binwidth=.5
bin(x,width)=width*floor(x/width) + binwidth/2
set boxwidth binwidth

fileOn(n) = sprintf("data/TinOn%d.dat", n)
file(n) = sprintf("data/Tin%d.dat", n)

timestep = EnergyPlusTimeStep
#@terminal
plot file(num) using (bin($1,binwidth)):(1.0/timestep) title "T zone" smooth freq with histeps, \
      fileOn(num) using (bin($1,binwidth)):(1.0/timestep) title "ON" smooth freq with boxes

set terminal svg
#@hist
set output "paramControlHist_zone.svg"
plot file(num) using (bin($1,binwidth)):(1.0/timestep) title "T zone" smooth freq with histeps, \
      fileOn(num) using (bin($1,binwidth)):(1.0/timestep) title "ON" smooth freq with boxes
      
reset
quit